org.python.core

## Class codecs

- java.lang.Object
- - org.python.core.codecs

    public class codecs
    extends java.lang.Object

Contains the implementation of the builtin codecs.

Since:
  Jython 2.0

### Field Summary

Fields
`static java.lang.String` `BACKSLASHREPLACE`
`static java.lang.String` `IGNORE`
`static java.lang.String` `REPLACE`
`static char[]` `utf7_special`
`static java.lang.String` `XMLCHARREFREPLACE`

### Constructor Summary

Constructors
Constructor and Description
`codecs()`

### Method Summary

Methods
`static PyObject` `backslashreplace_errors(PyObject[] args, java.lang.String[] kws)`
`static java.lang.StringBuilder` `backslashreplace(int start, int end, java.lang.String toReplace)`
`static int` `calcNewPosition(int size, PyObject errorTuple)`
`static PyObject` `decode(PyString v, java.lang.String encoding, java.lang.String errors)`
`static PyObject` `decoding_error(java.lang.String errors, java.lang.String encoding, java.lang.String toEncode, int start, int end, java.lang.String reason)`
`static java.lang.String` `encode(PyString v, java.lang.String encoding, java.lang.String errors)`
`static PyObject` `encoding_error(java.lang.String errors, java.lang.String encoding, java.lang.String toEncode, int start, int end, java.lang.String reason)`
`static java.lang.String` `getDefaultEncoding()`
`static PyObject` `ignore_errors(PyObject[] args, java.lang.String[] kws)`
`static int` `insertReplacementAndGetResume(java.lang.StringBuilder partialDecode, java.lang.String errors, java.lang.String encoding, java.lang.String toDecode, int start, int end, java.lang.String reason)`
`static PyObject` `lookup_error(java.lang.String handlerName)`
`static PyTuple` `lookup(java.lang.String encoding)`
`static java.lang.String` `PyUnicode_DecodeASCII(java.lang.String str, int size, java.lang.String errors)`
`static PyUnicode` `PyUnicode_DecodeIDNA(java.lang.String input, java.lang.String errors)`
`static java.lang.String` `PyUnicode_DecodeLatin1(java.lang.String str, int size, java.lang.String errors)`
`static PyUnicode` `PyUnicode_DecodePunycode(java.lang.String input, java.lang.String errors)`
`static java.lang.String` `PyUnicode_DecodeRawUnicodeEscape(java.lang.String str, java.lang.String errors)`
`static java.lang.String` `PyUnicode_DecodeUTF7(java.lang.String str, java.lang.String errors)`
`static java.lang.String` `PyUnicode_DecodeUTF8(java.lang.String str, java.lang.String errors)`
`static java.lang.String` `PyUnicode_DecodeUTF8Stateful(java.lang.String str, java.lang.String errors, int[] consumed)`
`static java.lang.String` `PyUnicode_EncodeASCII(java.lang.String str, int size, java.lang.String errors)`
`static java.lang.String` `PyUnicode_EncodeIDNA(PyUnicode input, java.lang.String errors)`
`static java.lang.String` `PyUnicode_EncodeLatin1(java.lang.String str, int size, java.lang.String errors)`
`static java.lang.String` `PyUnicode_EncodePunycode(PyUnicode input, java.lang.String errors)`
`static java.lang.String` `PyUnicode_EncodeRawUnicodeEscape(java.lang.String str, java.lang.String errors, boolean modifed)`
`static java.lang.String` `PyUnicode_EncodeUTF7(java.lang.String str, boolean encodeSetO, boolean encodeWhiteSpace, java.lang.String errors)`
`static java.lang.String` `PyUnicode_EncodeUTF8(java.lang.String str, java.lang.String errors)`
`static void` `register_error(java.lang.String name, PyObject error)`
`static void` `register(PyObject search_function)`
`static PyObject` `replace_errors(PyObject[] args, java.lang.String[] kws)`
`static void` `setDefaultEncoding(java.lang.String encoding)`
`static PyObject` `strict_errors(PyObject[] args, java.lang.String[] kws)`
`static PyObject` `xmlcharrefreplace_errors(PyObject[] args, java.lang.String[] kws)`
`static java.lang.StringBuilder` `xmlcharrefreplace(int start, int end, java.lang.String toReplace)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BACKSLASHREPLACE

    public static final java.lang.String BACKSLASHREPLACE

See Also:
  Constant Field Values

#### IGNORE

    public static final java.lang.String IGNORE

See Also:
  Constant Field Values

#### REPLACE

    public static final java.lang.String REPLACE

See Also:
  Constant Field Values

#### XMLCHARREFREPLACE

    public static final java.lang.String XMLCHARREFREPLACE

See Also:
  Constant Field Values

#### utf7_special

    public static char[] utf7_special

### Constructor Detail

#### codecs

    public codecs()

### Method Detail

#### getDefaultEncoding

    public static java.lang.String getDefaultEncoding()

#### setDefaultEncoding

    public static void setDefaultEncoding(java.lang.String encoding)

#### lookup_error

    public static PyObject lookup_error(java.lang.String handlerName)

#### register_error

    public static void register_error(java.lang.String name,
                      PyObject error)

#### register

    public static void register(PyObject search_function)

#### lookup

    public static PyTuple lookup(java.lang.String encoding)

#### decode

    public static PyObject decode(PyString v,
                  java.lang.String encoding,
                  java.lang.String errors)

#### encode

    public static java.lang.String encode(PyString v,
                          java.lang.String encoding,
                          java.lang.String errors)

#### strict_errors

    public static PyObject strict_errors(PyObject[] args,
                         java.lang.String[] kws)

#### ignore_errors

    public static PyObject ignore_errors(PyObject[] args,
                         java.lang.String[] kws)

#### replace_errors

    public static PyObject replace_errors(PyObject[] args,
                          java.lang.String[] kws)

#### xmlcharrefreplace_errors

    public static PyObject xmlcharrefreplace_errors(PyObject[] args,
                                    java.lang.String[] kws)

#### xmlcharrefreplace

    public static java.lang.StringBuilder xmlcharrefreplace(int start,
                                            int end,
                                            java.lang.String toReplace)

#### backslashreplace_errors

    public static PyObject backslashreplace_errors(PyObject[] args,
                                   java.lang.String[] kws)

#### backslashreplace

    public static java.lang.StringBuilder backslashreplace(int start,
                                           int end,
                                           java.lang.String toReplace)

#### PyUnicode_DecodeUTF7

    public static java.lang.String PyUnicode_DecodeUTF7(java.lang.String str,
                                        java.lang.String errors)

#### PyUnicode_EncodeUTF7

    public static java.lang.String PyUnicode_EncodeUTF7(java.lang.String str,
                                        boolean encodeSetO,
                                        boolean encodeWhiteSpace,
                                        java.lang.String errors)

#### PyUnicode_DecodeUTF8

    public static java.lang.String PyUnicode_DecodeUTF8(java.lang.String str,
                                        java.lang.String errors)

#### PyUnicode_DecodeUTF8Stateful

    public static java.lang.String PyUnicode_DecodeUTF8Stateful(java.lang.String str,
                                                java.lang.String errors,
                                                int[] consumed)

#### PyUnicode_EncodeUTF8

    public static java.lang.String PyUnicode_EncodeUTF8(java.lang.String str,
                                        java.lang.String errors)

#### PyUnicode_DecodeASCII

    public static java.lang.String PyUnicode_DecodeASCII(java.lang.String str,
                                         int size,
                                         java.lang.String errors)

#### PyUnicode_DecodeLatin1

    public static java.lang.String PyUnicode_DecodeLatin1(java.lang.String str,
                                          int size,
                                          java.lang.String errors)

#### PyUnicode_EncodeASCII

    public static java.lang.String PyUnicode_EncodeASCII(java.lang.String str,
                                         int size,
                                         java.lang.String errors)

#### PyUnicode_EncodeLatin1

    public static java.lang.String PyUnicode_EncodeLatin1(java.lang.String str,
                                          int size,
                                          java.lang.String errors)

#### calcNewPosition

    public static int calcNewPosition(int size,
                      PyObject errorTuple)

#### PyUnicode_EncodeRawUnicodeEscape

    public static java.lang.String PyUnicode_EncodeRawUnicodeEscape(java.lang.String str,
                                                    java.lang.String errors,
                                                    boolean modifed)

#### PyUnicode_DecodeRawUnicodeEscape

    public static java.lang.String PyUnicode_DecodeRawUnicodeEscape(java.lang.String str,
                                                    java.lang.String errors)

#### PyUnicode_EncodePunycode

    public static java.lang.String PyUnicode_EncodePunycode(PyUnicode input,
                                            java.lang.String errors)

#### PyUnicode_DecodePunycode

    public static PyUnicode PyUnicode_DecodePunycode(java.lang.String input,
                                     java.lang.String errors)

#### PyUnicode_EncodeIDNA

    public static java.lang.String PyUnicode_EncodeIDNA(PyUnicode input,
                                        java.lang.String errors)

#### PyUnicode_DecodeIDNA

    public static PyUnicode PyUnicode_DecodeIDNA(java.lang.String input,
                                 java.lang.String errors)

#### encoding_error

    public static PyObject encoding_error(java.lang.String errors,
                          java.lang.String encoding,
                          java.lang.String toEncode,
                          int start,
                          int end,
                          java.lang.String reason)

#### insertReplacementAndGetResume

    public static int insertReplacementAndGetResume(java.lang.StringBuilder partialDecode,
                                    java.lang.String errors,
                                    java.lang.String encoding,
                                    java.lang.String toDecode,
                                    int start,
                                    int end,
                                    java.lang.String reason)

#### decoding_error

    public static PyObject decoding_error(java.lang.String errors,
                          java.lang.String encoding,
                          java.lang.String toEncode,
                          int start,
                          int end,
                          java.lang.String reason)